PDA

View Full Version : PATCH 1.03 for PC released



j0kay
02-27-2012, 06:30 PM
Still downloading, i think it will add the dlc.
Couldn't find any patchnotes yet.

Engeloki
02-27-2012, 06:49 PM
Meh, it doesn't work :(
All languages fail to install I think, the error is "Error while patching ACRSP.exe. Incorrect source file"
Spanish install, Windows 7 32bit.

The13Doctors
02-27-2012, 07:07 PM
I just installed it :D

Unlock Penrose portal as soon as the Subject16 DLC is detected
Prevent Desmond's Journey AFS Message to be displayed when collecting fragment.
New laser type: Yellow lasers that you can block
New block type: Impulse block
Title remains on a white screen when trying to load a saved game in specific situations
FIxed the Subject 16 menu disappearing after accessing a penrose Desmond chapter
Enable missing Animus Database entries
Fixed the situation when the outfits are locked after completing any Desmond mission.
Fixed the situation when the Desmond missions are locked after certain steps.
Added News menu to Single Player and changed Extras menu flow a little
Fixed some sound related problems in Subject 16 DLC
Fixed minor graphics issues.
[Artifact Assault] The barrier between the two bases pops up suddenly when the user is very close to it

j0kay
02-27-2012, 07:08 PM
Same here doesn't work.

Ottomaniac_54
02-27-2012, 07:16 PM
Meh, it doesn't work :(
All languages fail to install I think, the error is "Error while patching ACRSP.exe. Incorrect source file"

same error here :(

dex3108BL
02-27-2012, 07:21 PM
Yeap error here too. I have contacted Ubi Support on twitter so i will post answer here when i get one :D

AntiChrist7
02-27-2012, 07:32 PM
no error here

smlab_pl
02-27-2012, 08:14 PM
...the error is "Error while patching ACRSP.exe. Incorrect source file"

I've got the same problem :/

ibr-vasif
02-27-2012, 08:14 PM
Is there a direct download link by any chance?

mr_doom1987
02-27-2012, 08:15 PM
Error here too. I am disapointed, Ubi, what about all those MP bugs, and the PC exclusive one, the silent streak not counting?! Can we expect another patch? MP is broken, fix it.:mad:

kataphractos
02-27-2012, 08:21 PM
static3.cdn.ubi.com/ac_revelations/ac_revelations_1.03_eu.exe there you have the direct download link :)

HeJurm
02-27-2012, 08:24 PM
Doesnt work for me either. I get the same error messages as the everyone else.

superb123
02-27-2012, 09:07 PM
Error here too. I am disapointed, Ubi, what about all those MP bugs, and the PC exclusive one, the silent streak not counting?! Can we expect another patch? MP is broken, fix it.:mad:

slient steak will not count if get stunned by terget,that is bull****:mad:

Qi88
02-27-2012, 09:30 PM
Did anyone manage to install it? Or does it crash for everyone? Mine isn't working, like everybody else's.

AntiChrist7
02-27-2012, 09:35 PM
i installed it without problems. if only i could buy the dlc... i always get "authorisation of payment failed"

Anykeyer
02-27-2012, 09:54 PM
Steam version just got crazy 4 gigs update. Downloading it now. I guess it will install without any trouble since Steam does not rely on older source files, it just replaces them entirely.

SixKeys
02-27-2012, 09:59 PM
I'm getting an error too.

Anykeyer
02-27-2012, 10:55 PM
Hell yeah. Very nice undocumented fixes for MP come wth 1.03.
Silent kill streak is fixed
Unsticky lock is fixed. I locked incorrect target nearby and there was no assassinate prompt above my real target's head. I was even unable to kill it untill I unclocked civilian.

Qi88
02-27-2012, 11:01 PM
@Anykeyer, sorry for bothering you but I'm reporting the error to the Ubisoft Support: you successfully installed the patch, rigth? And as you said you've got the Steam version.

dex3108BL
02-27-2012, 11:09 PM
After uninstalling and installing game again launcher has updated my game on 1.02 version skipping 1.01 and than 1.03 update worked. I have retail version of the game EU region.

The13Doctors
02-27-2012, 11:19 PM
Is there a direct download link by any chance?

No, it updates automatically when you boot up Revelations. For you guys with the Source file, check out the Source file, the problem is there. You may have to reinstall Revelations, make sure to save your save files if you do.

Maybe the source file is named wrong. You can find it here:

Computer/Local Disk [C]/Program Files/Ubisoft/Assassin's Creed Revelations

Qi88
02-27-2012, 11:42 PM
Yeah, even the Ubisoft Support says to try reinstalling it but let's face the fact that this problem shouldn't happen. But I admit that I don't know the mechanics: how can we have a wrong name for the source file? Isn't the game installing and naming the icons itself in the same way for everyone? So why does someone have the update and someone not? Reading from other sites too, seems like someone tried uninstalling and then reinstalling the game and it worked but someone else who tried this, it didn't work. Seems pretty random but there must be a connection. For example in these days there were people that got the servers down (for the online part of the game) while for others the servers didn't have any problem working fine.

Thank you anyway for the advices The13Doctors!:)

Andres_ak47.
02-28-2012, 01:56 AM
I just installed it :D

Unlock Penrose portal as soon as the Subject16 DLC is detected
Prevent Desmond's Journey AFS Message to be displayed when collecting fragment.
New laser type: Yellow lasers that you can block
New block type: Impulse block
Title remains on a white screen when trying to load a saved game in specific situations
FIxed the Subject 16 menu disappearing after accessing a penrose Desmond chapter
Enable missing Animus Database entries
Fixed the situation when the outfits are locked after completing any Desmond mission.
Fixed the situation when the Desmond missions are locked after certain steps.
Added News menu to Single Player and changed Extras menu flow a little
Fixed some sound related problems in Subject 16 DLC
Fixed minor graphics issues.
[Artifact Assault] The barrier between the two bases pops up suddenly when the user is very close to it

so they did not fix that stupid sound issue in the mp

kalo.yanis
02-28-2012, 03:35 AM
Right, I'd say most of the users are reporting the same error whilst trying to install the patch (including me). How on earth did this pass for public release???

And no, I will not be reinstalling the game, since I don't have the time to be bothered... and my disk isn't with me atm.

Locopells
02-28-2012, 03:46 AM
Given that most of the fixes seems to be for the DLC, maybe most people have to have that installed first?

Vey03
02-28-2012, 05:37 AM
No, it updates automatically when you boot up Revelations.

No it's doesn't.

Mine, like a lot of people's, does not auto-update. It didn't the last time, and it hasn't this time. The last patch i had to manually DL and install.

ace3001
02-28-2012, 06:53 AM
Same error here. But once the update has "failed", the game shows v1.03 in the main menu.

http://i.imgur.com/8UhJ7.png

I tried reinstalling, but no luck. It still gives me this.

(Btw, first time, the auto-updater skipped the 1.01 update and went straight to 1.02, then when I put 1.03, error. After reinstalling, it installed 1.01 first. But even then, finally same outcome, ie. error.)

EDIT: It does seem to be patched. The missing database entries such as "Subject 16" have popped up.

http://i.imgur.com/74TWG.jpg

Anykeyer
02-28-2012, 07:53 AM
After uninstalling and installing game again launcher has updated my game on 1.02 version skipping 1.01 and than 1.03 update worked. I have retail version of the game EU region.
Yes, 1.03 had no trouble installing. But it has to be that way with Steam, it does not edit existing files as retail patch does. It just replaces them entirely, thats why this patch was so huge (4 gb).



EDIT: It does seem to be patched. The missing database entries such as "Subject 16" have popped up.

On PC this missing entries was actually added by 1.02 patch. Check extras menu, with 1.03 there must be news in it. Dont trust "v1.03" in lower left corner, this text is parsed from version.bin file, you can write anything in it.

ace3001
02-28-2012, 08:02 AM
****... Nope, it's just Credits and Exclusive Content in Extras menu still. WTH Ubi. Anyway, I don't care about the update, cause I don't play MP. All I want is for that SP DLC to come out soon and for it to work without any ridiculous errors.

Anykeyer
02-28-2012, 08:04 AM
I bet this DLC have no chances of working without 1.03

ace3001
02-28-2012, 08:12 AM
That is what I fear. I won't be buying it until I get some feedback here from those who try it. Good thing the pre-order didn't work.

AntiChrist7
02-28-2012, 09:27 AM
That is what I fear. I won't be buying it until I get some feedback here from those who try it. Good thing the pre-order didn't work.

ah so im not the only one who couldnt pre-order it? good to know. it has been driving me nuts

trying to buy the dlc from inside the game doesnt work either

ace3001
02-28-2012, 09:55 AM
Supposed solution: http://forums.steamgames.com/forums/showthread.php?t=2570218&page=2
More info: https://www.facebook.com/UbisoftSupport/posts/10150700407377464

stevie-jay
02-28-2012, 10:51 AM
Stuff like this makes me glad I stopped buying Ubisoft games.
Nice to see they are keeping up with old adages...

Newdrax89
02-28-2012, 11:05 AM
did anyone managed to buy Lost archive?

dex3108BL
02-28-2012, 11:09 AM
For now it is only available for Xbox users, PC version should come later today, if not i will contact ubisoft support like last time ant they will fix it :D

spectatorx
02-28-2012, 11:38 AM
Confirmed, patch 1.02 been updated in meantime. To all these who face this problem: you need to redownload patch v1.02, uninstall the game, install it again and install patches v1.01, (redownloaded) v1.02 and v1.03 will install without errors.

Vey03
02-28-2012, 12:05 PM
Gees, what a mess. Again.

Thank goodness my game doesn't auto-update. I think i'll leave it until the patch is patched! Lol.

Btw, does anyone have a link for this thing? And the rest of the patches?

spectatorx
02-28-2012, 12:10 PM
Check out my faq, link to it is in my signature, there are links to patches and instruction to fix this issue.

Vey03
02-28-2012, 12:22 PM
Thanks you :)

ace3001
02-28-2012, 01:15 PM
Confirmed, patch 1.02 been updated in meantime. To all these who face this problem: you need to redownload patch v1.02, uninstall the game, install it again and install patches v1.01, (redownloaded) v1.02 and v1.03 will install without errors.
Yes, I too can confirm this. The previous one and the current one have slightly different file sizes as well. WTH Ubi. If you release a new patch, at least number it 1.025 or something! How the hell are people supposed to know that there are two versions of 1.02? Version numbering FAIL!

Qi88
02-28-2012, 02:32 PM
Yes, I too can confirm this. The previous one and the current one have slightly different file sizes as well. WTH Ubi. If you release a new patch, at least number it 1.025 or something! How the hell are people supposed to know that there are two versions of 1.02? Version numbering FAIL!

Hey, kolitha.kuruppu, Elisa from the FaceBook Ubisoft Support page here.XD
Another time, a big thank you, you saved us all there!

Yeah, seriously Ubisoft, let us know about these updates, we'll be able to manually install it if you give us a notification or something; because the autoupdate didn't work for everyone it seems!

dex3108BL
02-28-2012, 03:24 PM
DLC is online for UK members. You can buy it on Ubishop page.

SixKeys
02-28-2012, 03:26 PM
What a load of bollocks. I have to uninstall the game just to apply a patch? How often do you hear Windows developers telling you to uninstall the whole operating system before updating one part of it?

Can anyone confirm if uninstalling and reinstalling only works for Steam or also retail versions of the game? I have the retail version.

AntiChrist7
02-28-2012, 03:32 PM
DLC is online for UK members. You can buy it on Ubishop page.

really? good news. that means the rest of europe will follow soon, and in belgium we are 1 hour late of the UK, so when i get home i can buy it probably instantly :p

dex3108BL
02-28-2012, 03:36 PM
What a load of bollocks. I have to uninstall the game just to apply a patch? How often do you hear Windows developers telling you to uninstall the whole operating system before updating one part of it?

Can anyone confirm if uninstalling and reinstalling only works for Steam or also retail versions of the game? I have the retail version.

It works with retail i have done it and patch 1.03 is applied without problem.

ace3001
02-28-2012, 04:09 PM
Hey, kolitha.kuruppu, Elisa from the FaceBook Ubisoft Support page here.XD
Another time, a big thank you, you saved us all there!

Yeah, seriously Ubisoft, let us know about these updates, we'll be able to manually install it if you give us a notification or something; because the autoupdate didn't work for everyone it seems!Hey there. Welcome. :D

Oh, and the auto updater was no help either. Because the new update was also numbered 1.02, the auto updater skipped that and went straight to 1.03 when one has the old update installed. The whole problem is with Ubi numbering two updates with the same version number.

All works now. Except for the DLC still being unavailable. If I go to the Ubishop page, it gives me a "pre-order" b u t t o n which doesn't work, and if I go through the game's Extras -> Exclusive Content menu, I get a "http://shop.ubi.com/Admin/images/calico/content/forms/error_icon.gif We are sorry, an unexpected error occurred processing your request. Please try again."

@SixKeys: This issue is for retail owners. And yes, reinstalling and redownloading patches work.

EDIT: More fails from Ubi. The word b u t t o n also gets the first four letters censored.

SixKeys
02-28-2012, 04:51 PM
I managed to reinstall the game and all patches with no apparent problems, although Windows did keep giving me an error message saying "this program may not have installed correctly" and asking if I wanted to reinstall using recommended settings. Started up the game, entered the DLC code and got a notification of all the stuff being unlocked, so it seems like it should be working. I haven't tested the DLC yet, will do so later. Fingers crossed everything works now.

P.S. I installed the patches manually from Kolitha.kuruppu's link, didn't use the autopatch. If this works, then Kolitha gets a big thank you from me as well. :)

Qi88
02-28-2012, 05:30 PM
Hey there. Welcome. :D

Oh, and the auto updater was no help either. Because the new update was also numbered 1.02, the auto updater skipped that and went straight to 1.03 when one has the old update installed. The whole problem is with Ubi numbering two updates with the same version number.

All works now. Except for the DLC still being unavailable. If I go to the Ubishop page, it gives me a "pre-order" b u t t o n which doesn't work, and if I go through the game's Extras -> Exclusive Content menu, I get a "http://shop.ubi.com/Admin/images/calico/content/forms/error_icon.gif We are sorry, an unexpected error occurred processing your request. Please try again."

@SixKeys: This issue is for retail owners. And yes, reinstalling and redownloading patches work.

EDIT: More fails from Ubi. The word b u t t o n also gets the first four letters censored.

A very good move naming them the same.
I think that the problem is really all theirs. Perhaps they updated the "old 1.02" patch but quickly noticed it wasn't really right, so they thought to change it immediately with the "new 1.02" one. Unfortunately, a lot of people already updated the "old" one. The problem is that they didn't warn us, perhaps Ubisoft thought that it wouldn't give real problems. Well, on the contrary it did.:(

Yeah, me too have a problem with the in-game Extras->Exclusive Content menu send me to a broken page! I haven't tried from the Ubishop but I think I'll get your same result. I think it isn't still available, were they busy with this whole 1.03 thing?XD
Argh, let's wait and see what happens now.

NomTheBurritos
02-28-2012, 05:47 PM
Strange. My game updated all flawlessly today and before I figured the whole exclusive content->lost archives stuff, I already
ordered it via ubi shop(swedish version of the page) and yet, My order was successful, to the point when I paid and got an error as an ending...
but it says the order was taken and awaiting payment(which has been done...).
I tried to get to the page thru the exclusives->lost archives menu ingame, but as you all say, it also gives me the broken link and a fine red cross.
Ubisoft better pull this out soon. I don't wanna need to re-order this..

Qi88
02-28-2012, 06:03 PM
Yes, not everyone encountered this whole problem, luckily for you!:) But yeah the purchase seems to not be available still.

JokerSte1972
02-28-2012, 06:44 PM
http://www.gamesajare.com/2.0/wp-content/uploads/2010/02/ubilol.jpg

kalo.yanis
02-28-2012, 06:45 PM
God, Ubisoft can't even get their buggy patches right. IRONY MUCH?

I won't be frickin' reinstalling my game because they messed up!! I'll be expecting a solution that doesn't require me to do so.

The13Doctors
02-28-2012, 06:58 PM
God, Ubisoft can't even get their buggy patches right. IRONY MUCH?

I won't be frickin' reinstalling my game because they messed up!! I'll be expecting a solution that doesn't require me to do so.

No, their patch is fine, maybe. I seem to have encountered a rather funny bug, I hope it's a one time thing though. Anyways, the patch works fine, if it doesn't install correctly that means there's something wrong on your end, they can't possibly be able to predict and fix all user errors

kalo.yanis
02-28-2012, 07:17 PM
Wrong on my end? How can something wrong possibly happen between downloading the patch and clicking Yes when it asks you to install it? The game configuration and installation path are completely standard and there should be no excuse for a failed patch installation.

spectatorx
02-28-2012, 07:26 PM
Their patch is not fine, they shall be release updated 1.02 patch as hotfix or something to make all gamers has it before trying to install patch v1.03. Even when you are trying to install updated v1.02 patch onto game in version 1.02 you are getting error message "this patch can't be installed on the same version, it requires v1.0 or v1.01 of the game". Stupidity.

mr_doom1987
02-28-2012, 07:35 PM
Has anybody contacted Ubi support? What did they say?

superb123
02-28-2012, 07:40 PM
No, their patch is fine, maybe. I seem to have encountered a rather funny bug, I hope it's a one time thing though. Anyways, the patch works fine, if it doesn't install correctly that means there's something wrong on your end, they can't possibly be able to predict and fix all user errors

are you sure what you saing?

dex3108BL
02-28-2012, 09:06 PM
DLC is now available on Ubishop IE page :D

Engeloki
02-28-2012, 09:31 PM
Czech fans made a fix, it was tested in CZ install but I guess it will work for all, this is to avoid entire reinstall: http://leteckaposta.cz/501959608

Qi88
02-28-2012, 09:45 PM
The patch wasn't fine for everybody, someone (lots of people actually) got a 'rotten' one.

People, you just have two solutions (that kolitha.kuruppu already posted in this thread):
1- wait for Ubisoft to release a new patch that will resolve the uninstallation problem (I contacted them, they said they will work on this);
2- actually uninstall and reinstall the game.
Come on, I know it is not funny but it only takes 20 minutes for the whole thing and then everything is fine (and the uninstallation program allows you to keep the savegames).
Don't know what you think but waiting for Ubisoft doesn't seem a great idea for me.

Else, you can try what Forsaken_NGL says.

kalo.yanis
02-28-2012, 10:37 PM
I would love to do that, but some people don't exactly have the game DVD around them. Or in a 2000 km radius.

Revan-Risinger
02-28-2012, 10:53 PM
Where do i get this patch?

Qi88
02-28-2012, 11:32 PM
@NBST
Then for you works the "waiting" solution, no? Ubisoft already knows it's their fault and obviously they don't want to make fun of their customers; what can we do other than wait?

@Rigel-18
If you mean the 1.03 patch, the autopatch will automatically update it once you enter the game. If it doesn't work then try downloading it form here: http://forums.ubi.com/showthread.php/616754-Solutions-to-common-issues-assassin%E2%80%99s-creed-revelations-pc-game-%E2%80%93-community-based-faq and install it manually.
Else, if the 1.02 patch enters into conflict with the 1.03 giving you an error message: uninstall and then reinstall the game, it will reinstall all the right patches too (1.01, 1.02, 1.03) and all will work fine.

TB_Jaybird
02-29-2012, 01:38 AM
The patch wasn't fine for everybody, someone (lots of people actually) got a 'rotten' one.

People, you just have two solutions (that kolitha.kuruppu already posted in this thread):
1- wait for Ubisoft to release a new patch that will resolve the uninstallation problem (I contacted them, they said they will work on this);
2- actually uninstall and reinstall the game.
Come on, I know it is not funny but it only takes 20 minutes for the whole thing and then everything is fine (and the uninstallation program allows you to keep the savegames).
Don't know what you think but waiting for Ubisoft doesn't seem a great idea for me.

Else, you can try what Forsaken_NGL says.


Ok. This is where you are all hanging out now.

I am using my own two original patches that i saved but now we have to get new ones?

I just spent an hour doing it twice from the beginning and neither install worked. It's not my problem. I did as told (and went beyond what was called for by deleting the previous called .exe in the temp file) which was to uninstall and then re-install it. I did that and no matter what i do it hangs on the 1.03 install with the error now. Install of patch fails yet in-game shows as 1.03.

My problem? Should i have saved the original failed install exe? Should i not have deleted any of the following re-download patches in the temp folder after they failed also?

Why does the ingame show 1.03?

SixKeys
02-29-2012, 02:15 AM
Ok. This is where you are all hanging out now.

I am using my own two original patches that i saved but now we have to get new ones?

I just spent an hour doing it twice from the beginning and neither install worked. It's not my problem. I did as told (and went beyond what was called for by deleting the previous called .exe in the temp file) which was to uninstall and then re-install it. I did that and no matter what i do it hangs on the 1.03 install with the error now. Install of patch fails yet in-game shows as 1.03.

My problem? Should i have saved the original failed install exe? Should i not have deleted any of the following re-download patches in the temp folder after they failed also?

Why does the ingame show 1.03?

The in-game menu showing 1.03 does not mean the patch is working, it's a glitch.

You should save all three patches (1.01, 1.02, and 1.03) from the Facebook link that Kolitha.kuruppu posted, uninstall the game, reinstall, and MANUALLY apply the patches. Don't start up the game until you have done all this because it will try to autopatch and autopatch doesn't seem to have the right version of patch 1.02 which is the source of this whole problem. This solution worked for me.

Engeloki
02-29-2012, 07:36 AM
Czech fans made a fix, it was tested in CZ install but I guess it will work for all, this is to avoid entire reinstall: http://leteckaposta.cz/501959608

Just tested in the Spanish install, works fine!

AntiChrist7
02-29-2012, 09:53 AM
what do you mean that, when 1.03 shows, its not the patch working but a glitch? How can you know the patch is working? cause i had no problems with the install of the patch. And in the extra's i can select the lost archive (which takes me to the broken link).

EDIT: finally managed to buy the dlc from the ubishop. now im waiting for the confirmation email

ace3001
02-29-2012, 10:14 AM
what do you mean that, when 1.03 shows, its not the patch working but a glitch? How can you know the patch is working? cause i had no problems with the install of the patch. And in the extra's i can select the lost archive (which takes me to the broken link).

EDIT: finally managed to buy the dlc from the ubishop. now im waiting for the confirmation emailIf you didn't get the "incorrect source file" error, it means it patched properly. However, even for those who get the error, the "v1.03" in the bottom left corner appears. But in those cases, it's not properly patched. Evidence is the fact that the DLCs won't show up under Extras menu. Since you do have the DLCs in the Extras menu, we can be sure that it patched properly. :D

AntiChrist7
02-29-2012, 10:28 AM
If you didn't get the "incorrect source file" error, it means it patched properly. However, even for those who get the error, the "v1.03" in the bottom left corner appears. But in those cases, it's not properly patched. Evidence is the fact that the DLCs won't show up under Extras menu. Since you do have the DLCs in the Extras menu, we can be sure that it patched properly. :D

ah thanks. good to know

still waiting for the confirmation email though.... I though ill play some MP in between, got kicked out of a personal record breaking steal the artifact session. thanks patch 1.03....

pirate1802
02-29-2012, 11:51 AM
If you didn't get the "incorrect source file" error, it means it patched properly. However, even for those who get the error, the "v1.03" in the bottom left corner appears. But in those cases, it's not properly patched. Evidence is the fact that the DLCs won't show up under Extras menu. Since you do have the DLCs in the Extras menu, we can be sure that it patched properly. :D

I have patched to 1.03, in extras lost archive has been recovered is showing and all, but I still can't buy the DLC cuz of the stupid server error! :mad:

ace3001
02-29-2012, 12:27 PM
And I still get "http://shop.ubi.com/Admin/images/calico/content/forms/error_icon.gif We are sorry, an unexpected error occurred processing your request. Please try again." -____-

Meh, I'm gonna wait a couple of days, and if it's not fixed, I'll just watch a playthrough that's bound to pop up on Youtube. Not really excited about more FP sections, anyway.

TB_Jaybird
02-29-2012, 12:59 PM
I erased my old 1.02 and downloaded the "new" one as suggested.

I used my old 1.01 the new 1.02 and i am still getting this error.

Do i get a new 1.01 now? What the heck. This is you know what.

Some instructions UBI would be nice.

pirate1802
02-29-2012, 01:41 PM
And I still get "http://shop.ubi.com/Admin/images/calico/content/forms/error_icon.gif We are sorry, an unexpected error occurred processing your request. Please try again." -____-

Meh, I'm gonna wait a couple of days, and if it's not fixed, I'll just watch a playthrough that's bound to pop up on Youtube. Not really excited about more FP sections, anyway.

Same with me, I was quite interested in this DLC, but now this -.- Will just watch it on youtube if i can't get it within a couple of days, their loss. >_<

Dejan507
02-29-2012, 02:00 PM
Could someone please tell me if DLCs can be bought in a game store.
I'm not allowed to download from my country apparently, but I'll be visiting Italy soon, they are bound to have Gamestops?

AntiChrist7
02-29-2012, 02:06 PM
i once red something that in april or march they are releasing the complete edition or something, with all the dlc. but it could be that i misred.


Im still waiting for the email with the code in... at ubishop it says my order is placed, so i can do nothing else but wait

ace3001
02-29-2012, 02:36 PM
I erased my old 1.02 and downloaded the "new" one as suggested.

I used my old 1.01 the new 1.02 and i am still getting this error.

Do i get a new 1.01 now? What the heck. This is you know what.

Some instructions UBI would be nice.

Which 1.02 did you download? http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.02_eu.exe is what you should get. Reinstall the game, update to 1.01, then use this one, then update to
1.03. That should work. One more try! Good luck. :D

Could someone please tell me if DLCs can be bought in a game store.
I'm not allowed to download from my country apparently, but I'll be visiting Italy soon, they are bound to have Gamestops?

You're going to have to wait for the Ottoman Edition that comes at the end of March. If you have a laptop, though, you can take it to Italy, and download from there.

Dejan507
02-29-2012, 02:40 PM
Ah bollocks.. I don't want to buy entire edition just because of DLC, I guess ill watch it on youtube then

mr_doom1987
02-29-2012, 06:59 PM
It worked! I re installed the game and it worked! And btw, they did fix the silent streak. Thanks Ubi! :)

meyogy
03-01-2012, 09:27 AM
what a joke, an auto patch that requires u to re-install the game and all previous versions. they should have called it the 1.03 manual patch.

its an AUTO PATCH.

au·to·mat·ic

   [aw-tuh-mat-ik] Show IPA

adjective 1. having the capability of starting, OPERATING, moving, etc., independently: an automatic sprinkler system; an automatic car wash.

i.e. without having to reinstall the hole game!!!!:mad:

U-play is ran by Templars and need a visit from Enzio

meyogy
03-01-2012, 09:31 AM
no, their patch is fine, maybe. I seem to have encountered a rather funny bug, i hope it's a one time thing though. Anyways, the patch works fine, if it doesn't install correctly that means there's something wrong on your end, they can't possibly be able to predict and fix all user errors


13doctors
---fail---

Kingsalt20
03-01-2012, 01:38 PM
This patch and the DLC's install are horrors ! Problems and problems again and again...

It's hard to help people.

Don't forget if the patch didn't work to uninstall and reinstall the game and do the upgrade without clic on "Play"

meyogy
03-01-2012, 02:05 PM
I'm not reinstalling my game just to re-update it because Ubi can't make an auto install actually run in auto.

but thanks anyway...
any one got any real help?

ace3001
03-01-2012, 02:13 PM
I'm not reinstalling my game just to re-update it because Ubi can't make an auto install actually run in auto.

but thanks anyway...
any one got any real help?

Try that fix posted a several posts earlier.

kalo.yanis
03-01-2012, 09:07 PM
Any update (no pun intended) on whether 1.03 works without a reinstall?

panda123456666
03-01-2012, 09:19 PM
I have the same error also. But I cant uninstall it at I get a different error.

ace3001
03-02-2012, 12:58 AM
Any update (no pun intended) on whether 1.03 works without a reinstall?
Did you try the user-made fix posted earlier?


I have the same error also. But I cant uninstall it at I get a different error.
What's the error?

meyogy
03-02-2012, 09:52 AM
Which 1.02 did you download? http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.02_eu.exe is what you should get. Reinstall the game, update to 1.01, then use this one, then update to
1.03. That should work. One more try! Good luck. :D


You're going to have to wait for the Ottoman Edition that comes at the end of March. If you have a laptop, though, you can take it to Italy, and download from there.


You mean this one that requires me to re-install the game???!!??
You are banned from talking or posting for one (1) day.

ace3001
03-02-2012, 10:14 AM
You mean this one that requires me to re-install the game???!!??
You are banned from talking or posting for one (1) day.
No, you idiot. But seeing as you think you're so smart, no help needed, I believe.

meyogy
03-02-2012, 10:48 AM
well i must apologise for being smarter than everyone else here. would you be so kind as to direct me to the fix that actually helps. as it seems to me to not actually be several posts previous.

sorry for my negative demeanor but i'm just getting a little fed-up being told to just re-install the game and re-update.

thanks.
oh and by the way why are you posting when banned?
ignore that... but why can you call me an idiot but I can't say ****on?

meyogy
03-02-2012, 10:55 AM
a round plastic device often used to fasten the top of a pair of jeans is called a ****on

SeriousBoy1
03-02-2012, 02:32 PM
thanks for the info.

superb123
03-02-2012, 03:26 PM
You mean this one that requires me to re-install the game???!!??
You are banned from talking or posting for one (1) day.

meyogy don't write nagative comments against anyone untill you searching the forum.

meyogy
03-02-2012, 11:14 PM
again thanks everyone for all their help.

at least everyone in the
Error while patching file ACRSP.exe. Incorrect source fileforum has been helpfull.

Scubapsyc
03-02-2012, 11:20 PM
Same here I keep recieving the following

1. ACRSP.exe incorrect source file\

2. Error occured DURING UPDATING acrsp.EXE FILE


I've been trying to get it to take since 27 Feb. Whats the word UBI?

Franpa_999
03-03-2012, 01:24 AM
Yes, 1.03 had no trouble installing. But it has to be that way with Steam, it does not edit existing files as retail patch does. It just replaces them entirely, thats why this patch was so huge (4 gb).

Steam has said that during 2012 and beyond, they're shifting games to a new content delivery system where files can be patched without the need to replace entire files. Only the necessary code within the games files will be updated. Various games have been upgraded to this new system so far, maybe the 3rd patch to this game weighing in at a hefty 4GB also converts the games data structure to take advantage of the new content delivery system Steam is slowly implementing across the board?

Anykeyer
03-03-2012, 08:31 AM
Oh, thanks. Didnt know about steam's NCS improved patch process. BTW of all 4 AC games only AC1 and ACB currently use NCS, ACR isn't converted yet.

Shurka_001
03-03-2012, 02:12 PM
не устанавливается

artemka1984
03-03-2012, 06:05 PM
Для установки патча 1.03 я проделал следующее:
1. удалил игру;
2. снова скачал и установил патч 1.01 http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.01_rus.exe;
3. снова скачал и установил патч 1.02 http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.02_rus.exe;
4. запустил игру и патч 1.03 установился через Launcher.

TB_Jaybird
03-03-2012, 10:25 PM
Для установки патча 1.03 я проделал следующее:
1. удалил игру;
2. снова скачал и установил патч 1.01 http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.01_rus.exe;
3. снова скачал и установил патч 1.02 http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.02_rus.exe;
4. запустил игру и патч 1.03 установился через Launcher.

What he said!

Yo dude! This is the English forum. Russians, am i allowed to say that now, are someplace else?

Remix704
03-09-2012, 04:39 AM
Для установки патча 1.03 я проделал следующее:
1. удалил игру;
2. снова скачал и установил патч 1.01 http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.01_rus.exe;
3. снова скачал и установил патч 1.02 http://static3.cdn.ubi.com/ac_revelations/ac_revelations_1.02_rus.exe;
4. запустил игру и патч 1.03 установился через Launcher.

если ты так сделал, тогда скажи Please это работает или нет?? заранее спасибо

artemka1984
03-10-2012, 08:37 PM
если ты так сделал, тогда скажи please это работает или нет?? заранее спасибо
У меня только так получилось установить патч 1.03 и следом dlc3.

meyogy
03-11-2012, 12:30 PM
To resolve this issue, you will need to manually install or reinstall the GameLauncher software, which handles the online authentication in the game. Please note that this software MUST be installed to play the game, and cannot be uninstalled or disabled.

1. First, you will need to uninstall the "Ubisoft Game Launcher" software from the 'Add/Remove Programs' (Windows XP) / 'Installed Programs' (Windows Vista and 7) icon in your computer's control panel. It's possible that the "Ubisoft Game Launcher" software will not be listed if you have already uninstalled it, or the game. If so, you can skip this step.

2. After uninstalling the software, you will need to manually delete any leftover files in the C:\Program Files\Ubisoft\Ubisoft Game Launcher (32-bit versions of Windows) or C:\Program Files (x86)\Ubisoft\Ubisoft Game Launcher (64-bit versions of Windows). Please do not skip this step, it is very important. If this folder does not exist, please go to the next step.

3. Reinstall the GameLauncher software from: http://static3.cdn.ubi.com/orbit/launcher_installer/UbisoftGameLauncherInstaller.exe.


If that does not fix your issue the only other thing is to fully uninstall the game and the launcher and then reinstall it .

Teknykk
04-20-2012, 08:27 AM
Czech fans made a fix, it was tested in CZ install but I guess it will work for all, this is to avoid entire reinstall: http://leteckaposta.cz/501959608 (http://leteckaposta.cz/501959608)

Just tested in the Spanish install, works fine!

The link above seems to be broken or expired, so I've provided two more which I found on the original creators post in a Czech forum for those still having a problem with this and are awaiting for Ubisoft to fix it themselves (without requiring a full reinstall or even reinstalling the launcher).

Simply follow one of the two links below, download it, unzip the file and run it as administrator. Use the second option down the bottom to advance the progress (I can't read Czech, but I assume the first option translates to "Previous", the second to "Next" while the third likely being "Cancel" like most typical installers/patchers/fixers).

Both links and files are clean and empty of any viruses or threats, but it does the job. The way I did it was with my at then current install of Revelations 1.02 I ran this fix over it and then simply ran the autopatcher again to do 1.03, let it install fully then exit the launcher then installed The Lost Archive DLC straight over it without fail.

It all works fine and doesn't require the more lazy "solution" of having to reinstall the entire game or a launcher for an autopatcher that should be finding the files and doing what it has to do on it's own. I'm not one to complain much either, though it puzzles me at the fact that an apparent amateur who isn't an employee meant to do this thing got a fix out first.

But, it's a fix regardless...I'll take what I can get, if it works for anyone else then good for them...my version is the Australian Retail "EU" region and has apparently worked for different versions as well, so give it a shot if you're still trying...the links that worked for me are below. I take no credit obviously, just reupdating apparently outdated stuff.

http://downloads.playman.cz/patche/ACO_patchFIX.zip
http://www.edisk.cz/stahni/58470/ACO_patchFIX.zip_42.16KB.html

eziomero
05-22-2012, 02:01 PM
The link above seems to be broken or expired, so I've provided two more which I found on the original creators post in a Czech forum for those still having a problem with this and are awaiting for Ubisoft to fix it themselves (without requiring a full reinstall or even reinstalling the launcher).

Simply follow one of the two links below, download it, unzip the file and run it as administrator. Use the second option down the bottom to advance the progress (I can't read Czech, but I assume the first option translates to "Previous", the second to "Next" while the third likely being "Cancel" like most typical installers/patchers/fixers).

Both links and files are clean and empty of any viruses or threats, but it does the job. The way I did it was with my at then current install of Revelations 1.02 I ran this fix over it and then simply ran the autopatcher again to do 1.03, let it install fully then exit the launcher then installed The Lost Archive DLC straight over it without fail.

It all works fine and doesn't require the more lazy "solution" of having to reinstall the entire game or a launcher for an autopatcher that should be finding the files and doing what it has to do on it's own. I'm not one to complain much either, though it puzzles me at the fact that an apparent amateur who isn't an employee meant to do this thing got a fix out first.

But, it's a fix regardless...I'll take what I can get, if it works for anyone else then good for them...my version is the Australian Retail "EU" region and has apparently worked for different versions as well, so give it a shot if you're still trying...the links that worked for me are below. I take no credit obviously, just reupdating apparently outdated stuff.

http://downloads.playman.cz/patche/ACO_patchFIX.zip
http://www.edisk.cz/stahni/58470/ACO_patchFIX.zip_42.16KB.html

Bro when i open this file and i pers next that massge open
http://www8.0zz0.com/2012/05/22/13/680771670.jpg (http://www.0zz0.com)

SenarisK
08-03-2012, 05:17 PM
Bro when i open this file and i pers next that massge open


soubor nenalezen means = File not found. Reinstall your game or find acrsp.exe

And indeed, not even for me didn't worked in the first place... When you finish to patch to 1.02 try to backup ACRSP.EXE then apply the fix then update.. it'll work.

MunjaX
09-20-2012, 10:15 PM
Finally a fix for 1.03 patch! I can know complete the DLC's!

mogwhi
09-25-2012, 09:35 PM
To resolve this issue, you will need to manually install or reinstall the GameLauncher software, which handles the online authentication in the game. Please note that this software MUST be installed to play the game, and cannot be uninstalled or disabled.

1. First, you will need to uninstall the "Ubisoft Game Launcher" software from the 'Add/Remove Programs' (Windows XP) / 'Installed Programs' (Windows Vista and 7) icon in your computer's control panel. It's possible that the "Ubisoft Game Launcher" software will not be listed if you have already uninstalled it, or the game. If so, you can skip this step.

2. After uninstalling the software, you will need to manually delete any leftover files in the C:\Program Files\Ubisoft\Ubisoft Game Launcher (32-bit versions of Windows) or C:\Program Files (x86)\Ubisoft\Ubisoft Game Launcher (64-bit versions of Windows). Please do not skip this step, it is very important. If this folder does not exist, please go to the next step.

3. Reinstall the GameLauncher software from: http://static3.cdn.ubi.com/orbit/launcher_installer/UbisoftGameLauncherInstaller.exe.


If that does not fix your issue the only other thing is to fully uninstall the game and the launcher and then reinstall it .

Well **** me finally a fix to the 1.03 patch that has been bugging me for over 6 months. I uninstalled everything twice and the re-installed twice with no joy. ran this little baby and just keep hitting the high lighted button as i dont read the language its in, but the patch finally installed this time with no probs. **** shame that its the gamers who sort out the problem instead of UBI